package com.zipcodewilmington.productmanager;
import org.junit.Assert;
import org.junit.Test;

/**
 * Created by leon on 1/10/18.
 */
public class ProductTest {

    @Test
    public void testProductConstructorPrice() {
        // Given
        double price = 6.00;
        int quantity = 10;
        double expected = price;

        //When
        Product product = new Product(price, quantity);
        double actual = product.getPrice();

        //Then
        Assert.assertEquals(expected, actual, 0.01);


    }

    @Test
    public void testProductConstructorQuantity() {
        // Given
        double price = 6.00;
        int quantity = 10;
        double expected = quantity;

        //When
        Product product = new Product(price, quantity);
        double actual = product.getQuantity();

        //Then
        Assert.assertEquals(expected, actual, 0.01);


    }

    @Test
    public void testSetPrice() {
        // Given
        double price = 6.00;
        int quantity = 10;
        double newPrice = 8.00;
        double expected = newPrice;

        //When
        Product product = new Product(price, quantity);
        product.setPrice(newPrice);
        double actual = product.getPrice();

        //Then
        Assert.assertEquals(expected, actual, 0.01);

    }

    @Test
    public void testSetQuantity() {
        // Given
        double price = 6.00;
        int quantity = 10;
        int newQuantity = 44;
        int expected = newQuantity;

        //When
        Product product = new Product(price, quantity);
        product.setQuantity(newQuantity);
        int actual = product.getQuantity();

        //Then
        Assert.assertEquals(expected, actual, 0.01);

    }
}